{

    //每次探索会损失5%生命值，战斗中生命值随时间下降。

    //以太侵蚀如空气一般，渗透进了每一个人的体内。不论是生命体还是机械，都难以逃脱。



	"AbilityName": "Curse_1100019",

	"AbilityStacking":"Unique",

	"DefaultModifier":

    {

        "OnBattleEnter":

        [

            {

                "$type" : "MoleMole.ApplyModifier",

                //1 Hp以上才扣

                "Predicates" :

                [

                    {

                        "$type": "MoleMole.ByPlayerPropertyValue",

                        "IsUsePercent" : false,

                        "Numerator":"CurHP",

                        "Denominator":"MaxHP", 

                        "CompareType": "GreaterEqual", 

                        "Val1" : 1,

                        // "Val2" : 0,

                        "Target" : "Self"

                    }

                ],

                "ModifierName" : "HpReduceModifier",

                "Target" : "Self"

            }

        ],

        // "OnBeingHitResolved":[

        //     {

		// 		"$type":"MoleMole.SetAbilitySpecialByExpression",

		// 		"ParamName":"DamageTake",

		// 		"ValueType":"float",

		// 		"Expression":"specials(HpPercentage)*property(MaxHP)"

        //     }

        // ],

        "OnBattleExit":

        [

            {

                "$type" : "MoleMole.RemoveModifier",

                "ModifierName" : "HpReduceModifier",

                "Target" : "Self"

            }

        ]

    },

    "Modifiers":

    {

        "HpReduceModifier":

        {

            "ModifierStacking": "Unique",

            "Duration": -1,

            "ThinkInterval" : 1,

            "OnThinkInterval" :

            [

                {

                    "$type":"MoleMole.SetAbilitySpecialByExpression",

                    "ParamName":"HpReduceAmount",

                    "ValueType":"float",

                    "Expression":"specials(HpPercentage)*property(CurHP)",

                    "Predicates" : 

                    [

                        {

                            "$type": "MoleMole.ByIsLocalAvatar",

                            "IsLocalAvatar": true,

                            "Target" : "Self"

                        }

                    ]

                },

                {

                    "$type": "MoleMole.ModifyProperty",

                    "PropertyType": "CurHP",

                    "PropertyModifyFunction": "Add",

                    "Percentage": 0,

                    "Amount": "%HpReduceAmount",

                    "Predicates" : 

                    [

                        {

                            "$type": "MoleMole.ByIsLocalAvatar",

                            "IsLocalAvatar": true,

                            "Target" : "Self"

                        }

                    ]

                },

                {

                    "$type": "MoleMole.ModifyProperty",

                    "PropertyType": "CurHP",

                    "PropertyModifyFunction": "Add",

                    "Percentage": 0,

                    "Amount": -1,

                    "Predicates" : 

                    [

                        {

                            "$type": "MoleMole.ByIsLocalAvatar",

                            "IsLocalAvatar": true,

                            "Target" : "Self"

                        }

                    ]

                },

                {

                    "$type": "MoleMole.ModifyProperty",

                    "Predicates" : 

                    [

                        {

                            "$type": "MoleMole.ByAliveState",

                            "AliveState": "Alive",

                            "Target" : "Self"

                        },

                        {

                            "$type": "MoleMole.ByIsLocalAvatar",

                            "IsLocalAvatar": true,

                            "Target" : "Self"

                        }

                    ],

                    "PropertyType": "CurHP",

                    "PropertyModifyFunction": "Add",

                    "Percentage": 0,

                    "Amount": 1

                }

            ]

        }

    },    

    "AbilitySpecials" : 

    {

        //表格参数

        "HpPercentage" :

        {

            "Value" : -0.015

        },

        "HpReduceAmount" :

        {

            "Value" : 0

        }

    }

}